[med-svn] [Git][med-team/galaxy-lib][master] make autopkgtests
Michael R. Crusoe
gitlab at salsa.debian.org
Sun Mar 10 10:36:03 GMT 2019
Michael R. Crusoe pushed to branch master at Debian Med / galaxy-lib
Commits:
74e350c7 by Michael R. Crusoe at 2019-03-10T10:35:25Z
make autopkgtests
- - - - -
5 changed files:
- + debian/README.test
- debian/docs
- + debian/examples
- + debian/tests/control
- + debian/tests/run-unit-test
Changes:
=====================================
debian/README.test
=====================================
@@ -0,0 +1,9 @@
+Notes on how this package can be tested.
+────────────────────────────────────────
+
+This package can be tested by running the provided test:
+
+ sh run-unit-test
+
+in order to confirm its integrity.
+
=====================================
debian/docs
=====================================
@@ -1,2 +1,4 @@
README.rst
build/html
+debian/README.test
+debian/tests/run-unit-test
=====================================
debian/examples
=====================================
@@ -0,0 +1 @@
+tests
=====================================
debian/tests/control
=====================================
@@ -0,0 +1,4 @@
+Tests: run-unit-test
+Depends: @
+Restrictions: allow-stderr
+
=====================================
debian/tests/run-unit-test
=====================================
@@ -0,0 +1,19 @@
+#!/bin/bash
+set -e
+
+pkg=python3-galaxy-lib
+
+if [ "${AUTOPKGTEST_TMP}" = "" ] ; then
+ AUTOPKGTEST_TMP=$(mktemp -d /tmp/${pkg}-test.XXXXXX)
+ # Double quote below to expand the temporary directory variable now versus
+ # later is on purpose.
+ # shellcheck disable=SC2064
+ trap "rm -rf ${AUTOPKGTEST_TMP}" 0 INT QUIT ABRT PIPE TERM
+fi
+
+#cp -a /usr/share/doc/${pkg}/examples/* "${AUTOPKGTEST_TMP}"
+
+#cd "${AUTOPKGTEST_TMP}"
+
+cd /usr/share/doc/${pkg}/examples
+python3 -m nose -v
View it on GitLab: https://salsa.debian.org/med-team/galaxy-lib/commit/74e350c7d49dcfc9e46fac880265ccfd4387d40f
--
View it on GitLab: https://salsa.debian.org/med-team/galaxy-lib/commit/74e350c7d49dcfc9e46fac880265ccfd4387d40f
You're receiving this email because of your account on salsa.debian.org.
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://alioth-lists.debian.net/pipermail/debian-med-commit/attachments/20190310/19b7c928/attachment-0001.html>
More information about the debian-med-commit
mailing list